org.apache.cassandra.transport

## Class Server

- java.lang.Object
- - org.apache.cassandra.transport.Server

- All Implemented Interfaces:
    CassandraDaemon.Server

      public class Server
      extends java.lang.Object
      implements CassandraDaemon.Server

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `Server.AbstractSecureIntializer`
    `static class` | `Server.Builder`
    `static class` | `Server.ConnectionTracker`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.net.InetSocketAddress` | `socket`
    `boolean` | `useSSL`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getConnectedClients()`
    `boolean` | `isRunning()` Returns whether the server is currently running.
    `void` | `start()` Start the server.
    `void` | `stop()` Stop the server.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### socket

          public final java.net.InetSocketAddress socket

    - #### useSSL

          public boolean useSSL

  - ### Method Detail

    - #### stop

          public void stop()

      Description copied from interface: `CassandraDaemon.Server`
      Stop the server. This method should be able to stop server started through start(). Should throw a RuntimeException if the server cannot be stopped
      Specified by:
        `stop` in interface `CassandraDaemon.Server`

    - #### isRunning

          public boolean isRunning()

      Description copied from interface: `CassandraDaemon.Server`
      Returns whether the server is currently running.
      Specified by:
        `isRunning` in interface `CassandraDaemon.Server`

    - #### start

          public void start()

      Description copied from interface: `CassandraDaemon.Server`
      Start the server. This method shoud be able to restart a server stopped through stop(). Should throw a RuntimeException if the server cannot be started
      Specified by:
        `start` in interface `CassandraDaemon.Server`

    - #### getConnectedClients

          public int getConnectedClients()

Copyright © 2018 The Apache Software Foundation